{% if (object_type=='sysma_object') %}
	{%     set suff = '001'  %}
	{% set geometry_type = Type.geometry_type    %}
{% elseif (object_type=='sysma_action') %}
	{% set suff = '002' %}
	{% set geometry_type = Type.getLinkedSysmaObjectTypeInfos('geometry_type') %}

{% endif %}
<div class="modal-header">
	<button type="button" class="close" data-dismiss="modal" aria-label="Close">
		<span aria-hidden="true">&times;</span>
	</button>
	<h3>Style</h3>
</div>
<div id="atDiv" class="modal-body">

    {# Attention @sr: <form ETAIT sans action='#'. TOTEST #}
	<form id="atForm" name="atForm" action='#'>

		<div class="form-group">

			{% if geometry_type == 'ST_Point' %}


				{% set iconChecked =  S.style_decode.icon|default(null) == 1 or (Type.style_decode.icon|default(null) == 1 and S.style_decode.icon is not defined)  %}
				<p>
					<input name="icon" value="" type="hidden"/>
					<label><input type="checkbox" value="1" {{ iconChecked ? 'checked' }} name="icon" onclick="toggleIconUrl();"/>
						Icône
					</label>
				</p>

				<div id="iconSettings" {% if not iconChecked %} style="display:none;" {% endif %}>

					<p>
						<img
						src="{{ S.style_decode.icon|default(null) == 1 ? S.style_decode.iconUrl : Type.style_decode.iconUrl|default('') }}" width="30" height="30" id="icon-img" {% if (S.style_decode.iconUrl is not defined and Type.style_decode.iconUrl is not defined) or (S.style_decode.iconUrl|default('') == '' and Type.style_decode.iconUrl|default('') == '') %} style="display:none" {% endif %} class="actual-icon"/>
					{#
																																																																							<button class="btn btn-sm actual-icon" onclick="$('#icon').val(null); $('.actual-icon').css('display','none');return(false);" {% if (S.style_decode.icon is not defined and Type.style_decode.icon is not defined) and (S.style_decode.icon|default('') == '' or Type.style_decode.icon|default('') == '') %} style="display:none" {% endif %}>Enlever l'icône</button>
																																																																							#}
					</p>
					<p>
						Recherche avec un mot clé (en anglais) (* pour tous)<br>
						<input class="form-control" value="" id="icon-search" onkeyup="sendData('search='+$('#icon-search').val(),' {{ url('icon-search') }}', 'res-icon', event, null);return(false);"/><br>
					</p>
					<p>
						<input class="form-control input-sm" value="{{ S.style_decode.iconUrl is defined ? S.style_decode.iconUrl : Type.style_decode.iconUrl|default('') }}" name="iconUrl" id="iconUrl" style="color:#cccccc;border:none;"/>
					</p>
					<div id="res-icon" style="max-height:300px;overflow:auto"></div>


				</div>


			{% endif %}

			<p>
				<label>Couleur</label><br>
				<input type="color" value="{{ S.style_decode.color is defined ? S.style_decode.color : Type.style_decode.color|default('#f6cccc') }}" name="color" id="color"/>
			</p>

			{% if geometry_type != 'ST_Linestring' %}
				<p>
					<label>Couleur du fond</label><br>
					<input type="color" value="{{ S.style_decode.fillColor is defined ? S.style_decode.fillColor : Type.style_decode.fillColor|default('#f6cccc') }}" name="fillColor" id="fillColor"/>
				</p>
			{% endif %}
			{% if geometry_type == 'ST_Point' %}
				<p>
					<label>Taille</label><br>
					<input type="range" value="{{ S.style_decode.radius is defined ? S.style_decode.radius : Type.style_decode.radius|default('7') }}" name="radius" min="1" max="15" step="1"/>
				</p>
			{% endif %}

			<div id="weight" {{ S.style_decode.icon|default(null) == 1 or Type.style_decode.icon|default(null) == 1 ? ' style="display:none;"' }}>
				<p>
					<label>Epaisseur du tracé</label>
					<input type="range" value="{{ S.style_decode.weight|default(Type.style_decode.weight) }}" name="weight" min="0.1" max="10" step="0.1"/>
				</p>
			</div>
			<p>
				<label>Opacité du tracé</label>
				<input type="range" value="{{ S.style_decode.opacity is defined ? S.style_decode.opacity : Type.style_decode.opacity|default(1) }}" name="opacity" min="0" max="1" step="0.1"/>
			</p>
			{% if geometry_type != 'ST_Linestring' %}
				<p>
					<label>Opacité du fond</label>
					<input type="range" value="{{ S.style_decode.fillOpacity is defined ? S.style_decode.fillOpacity : Type.style_decode.fillOpacity|default(1) }}" name="fillOpacity" min="0" max="1" step="0.1"/>
				</p>
			{% endif %}
			{% if geometry_type == 'ST_Point' %}
				<p>
					<label>Arrondi du fond</label><br>
					<input type="range" value="{{ S.style_decode.fillRadius is defined ? S.style_decode.fillRadius : Type.style_decode.fillRadius|default(5) }}" name="fillRadius" min="0" max="10" step="1"/>
				</p>
			{% endif %}
			{% if geometry_type != 'ST_Point' %}
				<p>
					<label>Tirets</label>
					<input type="range" value="{{ S.style_decode.dashArray is defined ? S.style_decode.dashArray : Type.style_decode.dashArray|default(0) }}" name="dashArray" min="0" max="20" step="1"/>
				</p>
			{% endif %}


			{% if geometry_type == 'ST_Linestring' %}

				{% set lineExtremitiesChecked =  S.style_decode.lineExtremities|default(null) == 1 or (Type.style_decode.lineExtremities|default(null) == 1 and S.style_decode.lineExtremities is not defined) %}
				<p>
					<input type="hidden" value="" name="lineExtremities"/>
					<label><input type="checkbox" value="1" {{ lineExtremitiesChecked ? 'checked' }} name="lineExtremities"/>
						Afficher les extrémités des lignes</label><br>
				</p>

			{% endif %}


			{% if geometry_type == 'ST_Linestring' %}

				{% set secondLineChecked = S.style_decode.secondLine|default(null) == 1 or (Type.style_decode.secondLine|default(null) == 1 and S.style_decode.secondLine is not defined) %}

				<hr></hr>
			<p>
				<input type="hidden" value="" name="secondLine"/>
				<label><input type="checkbox" value="1" {{ secondLineChecked ? 'checked' }} name="secondLine" onclick="$('#secondLineSettings').toggle()"/>
					Second tracé</label><br>
			</p>


			<div id="secondLineSettings" {% if not secondLineChecked %} style="display:none;" {% endif %}>

				<p>
					<label>Couleur</label><br>
					<input type="color" value="{{ S.style_decode.secondLineColor is defined ? S.style_decode.secondLineColor : Type.style_decode.secondLineColor|default('#f6cccc') }}" name="secondLineColor" id="secondLineColor"/>
				</p>


				<p>
					<label>Epaisseur du tracé</label>
					<input type="range" value="{{ S.style_decode.secondLineWeight|default(Type.style_decode.secondLineWeight|default(5)) }}" name="secondLineWeight" min="0.1" max="20" step="0.1"/>
				</p>
				<p>
					<label>Opacité du tracé</label>
					<input type="range" value="{{ S.style_decode.secondLineOpacity is defined ? S.style_decode.secondLineOpacity : Type.style_decode.secondLineOpacity|default(1) }}" name="secondLineOpacity" min="0" max="1" step="0.1"/>
				</p>

			</div>

		{% endif %}

		<hr></hr>

	{% set labelChecked = S.style_decode.label|default(null) == 1 or (Type.style_decode.label|default(null) == 1 and S.style_decode.label is not defined ) %}

	<p>
		<input type="hidden" value="" name="label"/>
		<label><input type="checkbox" value="1" {{ labelChecked ? 'checked' }} name="label" onclick="$('#labelSettings').toggle()"/>
			Etiquettes</label>
	</p>

	<div id="labelSettings" {{ not labelChecked ? 'style="display:none;"' }}>

		<p>
			<label>Couleur du texte</label><br>
			<input type="color" value="{{ S.style_decode.labelColor is defined ? S.style_decode.labelColor : Type.style_decode.labelColor|default('#000000') }}" name="labelColor" id="labelColor"/>

			<button onclick="$('#labelColor').val($('#color').val());return false;" class="btn btn-xxs" title="Récupérer la couleur de l'objet comme couleur du texte d'étiquette">Récup. couleur de l'objet</button>
			{% if geometry_type != 'ST_Linestring' %}
				<button onclick="$('#labelColor').val($('#fillColor').val());return false;" class="btn btn-xxs" title="Récupérer la couleur du fond de l'objet comme couleur du texte d'étiquette">Récup. couleur du fond</button>
			{% endif %}
		</p>

		<p>
			<label>Couleur du fond</label><br>
			<input type="color" value="{{ S.style_decode.labelFillColor is defined ? S.style_decode.labelFillColor : Type.style_decode.labelFillColor|default('#ccf6cc') }}" name="labelFillColor" id="labelFillColor"/>


			<button onclick="$('#labelFillColor').val($('#color').val());return false;" class="btn btn-xxs" title="Récupérer la couleur de l'objet comme couleur de fond d'étiquette">Récup. couleur de l'objet</button>
			{% if geometry_type != 'ST_Linestring' %}
				<button onclick="$('#labelFillColor').val($('#fillColor').val());return false;" class="btn btn-xxs" title="Récupérer la couleur du fond de l'objet comme couleur de fond d'étiquette">Récup. couleur du fond</button>
			{% endif %}
		</p>

		<p>
			<label>Taille</label><br>
			<input type="range" value="{{ S.style_decode.labelSize is defined ? S.style_decode.labelSize : Type.style_decode.labelSize|default(10) }}" name="labelSize" min="7" max="30" step="1"/>
		</p>
		<p>
			<label>Opacité du texte</label>
			<input type="range" value="{{ S.style_decode.labelOpacity is defined ? S.style_decode.labelOpacity : Type.style_decode.labelOpacity|default(1) }}" name="labelOpacity" min="0" max="1" step="0.1"/>
		</p>
		<p>
			<label>Opacité du fond</label>
			<input type="range" value="{{ S.style_decode.labelFillOpacity is defined ? S.style_decode.labelFillOpacity : Type.style_decode.labelFillOpacity|default(1) }}" name="labelFillOpacity" min="0" max="1" step="0.1"/>
		</p>
		<p>
			<label>Arrondi du fond de l'étiquette</label><br>
			<input type="range" value="{{ S.style_decode.labelFillRadius is defined ? S.style_decode.labelFillRadius : Type.style_decode.labelFillRadius|default(5) }}" name="labelFillRadius" min="0" max="10" step="1"/>
		</p>
	</div>
</div></form>{% if fromThesaurus %}
<p>
	<button class="btn btn-default btn-xs" onclick="getFormAsJson('atForm');" data-dismiss="modal">
		<span class="glyphicon glyphicon-tint"></span>
		Utiliser ce style</button>
</p>{% else %}
<p>
	<div style="float:left">
		{# <button class="btn btn-primary btn-xs" onclick="sendForm('atForm', '{{ url('style-update', { 'object_type' : object_type, 'id_type' : id_type }) }}', 'status', event, true);"> #}
		<button class="btn btn-primary btn-xs" onclick="sendForm('atForm', '{{ url('style-update', { 'object_type' : object_type, 'id_type' : id_type }) }}', 'status', event, false);">
			<span class="glyphicon glyphicon-tint"></span>
			Appliquer le style</button>
	</div>
	<div style="text-align:right">
		{# <button class="btn btn-secondary btn-xs text-muted" onclick="sendData('null', '{{ url('style-delete', { 'object_type' : object_type, 'id_type' : id_type }) }}', 'status', event, true);">Style par défaut</button> #}
		<button class="btn btn-secondary btn-xs text-muted" onclick="sendData('null', '{{ url('style-delete', { 'object_type' : object_type, 'id_type' : id_type }) }}', 'status', event, false);">Style par défaut</button>
	</div>
</p>
<div id="status"></div>{% endif %}<script>

function getFormAsJson(form) {

event.preventDefault();
const data = new FormData(document.getElementById(form));
const value = Object.fromEntries(data.entries());

$('#form_style').val(JSON.stringify(value));

console.log({value});
}


function toggleIconUrl() {

$('#iconSettings').toggle();
$('#weight').toggle();

if ($('#icon').prop(':checked', false)) {

$('#iconUrl').val(null);
$('.actual-icon').css('display', 'none');
}

}</script>
